Bug 203246 - Postgres fails with selinux errors with ldap users
Summary: Postgres fails with selinux errors with ldap users
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-19 19:03 UTC by Chris Jones
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 2.3.7-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 13:54:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a policy "mostly" generated with audit2allow which makes it work (206 bytes, text/plain)
2006-08-19 19:03 UTC, Chris Jones
no flags Details

Description Chris Jones 2006-08-19 19:03:46 UTC
Description of problem:
When useing ldap for user auth, selinux fails.

Version-Release number of selected component (if applicable):
postgresql-8.1.4-1.FC5.1
selinux-policy-2.3.3-8.fc5

How reproducible:
Always

Steps to Reproduce:
1. Have users authenticating useing ldap
2. try to run psql as a ldap user
3. selinux errors
  
Actual results:
Aug 19 19:04:45 newsilver kernel: audit(1156010685.719:2916): avc:  denied  { name_connect } for  
pid=18993 comm="postmaster" dest=389 scontext=system_u:system_r:postgresql_t:s0 
tcontext=system_u:
object_r:ldap_port_t:s0 tclass=tcp_socket
Aug 19 19:04:45 newsilver  rollercow sucs [local] authentication: nss_ldap: failed to bind to LDAP
 server ldap://127.0.0.1: Can't contact LDAP server


Expected results:
No errors, and working postges

Additional info:
Find attached a policy "mostly" generated with audit2allow which makes it work

Comment 1 Chris Jones 2006-08-19 19:03:47 UTC
Created attachment 134514 [details]
 a policy "mostly" generated with audit2allow which makes it work

Comment 2 Daniel Walsh 2006-08-22 13:42:29 UTC
Fixed in selinux-policy-2.3.7-2.fc5

Comment 3 Daniel Walsh 2006-08-22 14:19:40 UTC
Change to modified

Comment 4 Chris Jones 2007-01-12 13:54:51 UTC
This issue does indeed seem to be fixed


Note You need to log in before you can comment on or make changes to this bug.